const { readFileSync, writeFileSync } = require('fs')
const { editDebugCode, editVersion } = require('debugcode')

module.exports = (file, options) => {
  let js = readFileSync(file, 'utf8')

  js = editDebugCode(js, options.env)
  let r = editVersion(js, options.versionDefault, file, options.env)
  options.versionHash = r.hash

  writeFileSync(file, r.code)
}
