const UglifyJS = require('uglify-js')
const { readFileSync, writeFileSync } = require('fs')

module.exports = (file, options) => {
  let js = readFileSync(file, 'utf8'),
    uglifyOptions = {
      ie8: true,
    }

  //非生产环境可以使用debugger
  if (options.env !== 'prd') {
    if (!uglifyOptions.compress) uglifyOptions.compress = {}
    uglifyOptions.compress.drop_debugger = false
  }
  let r = UglifyJS.minify(js, uglifyOptions)

  if (r.error) {
    console.log(r.error)
  } else {
    writeFileSync(file, r.code)
  }
}
