const babel = require('babel-core')
const { readFileSync, writeFileSync } = require('fs')

module.exports = (file, options) => {
  let js = readFileSync(file, 'utf8')
  let r = babel.transform(js, {
    presets: [['env', { exclude: ['transform-es2015-function-name'] }]],
  })

  writeFileSync(file, r.code)
}
