const obfuscator = require('jsmutate')
const { readFileSync, writeFileSync } = require('fs')

/**
 * @param {*} file
 * @param {*} options
 */
module.exports = (file, options) => {
  let js = readFileSync(file, 'utf8')

  if (options.obfuscate && options.obfuscate.ignore) {
    if (options.obfuscate.ignore.some(n => file.indexOf(n) > -1)) {
      return
    }
  }
  let r = obfuscator(js, options.obfuscate)

  writeFileSync(file, r.code)
}
